Index: jobvista-frontend/src/views/applications/ApplicationDetailsModal.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplicationDetailsModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplicationDetailsModal.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -32,16 +32,24 @@
 
     useEffect(() => {
-        if(application) {
-            dispatch(ApplicationActions.downloadResume(application.fileName, (success, response) => {
-                if(success) {
+        if (application) {
+            ApplicationActions.downloadResume(application.id, (success, response) => {
+                if (success) {
                     setResumeUrl(response);
                 }
-            }))
+            })
         }
-    }, [application])
+    }, [])
+
+    function getFileName(path) {
+        let fileName = path.split('\\').pop().split('/').pop();
+
+        fileName = fileName.trim();
+
+        return fileName;
+    }
 
     return (<div className="modal-wrap">
         <button onClick={toggleModal} className="application-button">View application</button>
-        <Modal open={modal} onClose={toggleModal} center >
+        <Modal open={modal} onClose={toggleModal} center>
             <div className="head-modal">
                 <h3>{application.jobSeekerName}'s application for {application.jobAdTitle}</h3>
@@ -49,18 +57,20 @@
             </div>
 
-            <div className="modal-content" >
+            <div className="modal-content">
                 <form>
                     <div className="row">
                         <div className="col-md-6">
                             <label className="label">Why are you interested in joining our company?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[0]} disabled placeholder="Write your answer here..." className="application-textarea"/>
-
-
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[0]} disabled
+                                      placeholder="Write your answer here..." className="application-textarea"/>
+                            <br/><br/>
                             <label className="label">What makes you a good fit for this position?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[1]}  placeholder="Write your answer here..." className="application-textarea"/>
-
-
-                            <label className="label">What do you hope to achieve in your first 6 months in this role?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[2]}  placeholder="Write your answer here..." className="application-textarea"/>
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[1]}
+                                      placeholder="Write your answer here..." className="application-textarea"/>
+                            <br/><br/>
+                            <label className="label">What do you hope to achieve in your first 6 months in this
+                                role?</label>
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[2]}
+                                      placeholder="Write your answer here..." className="application-textarea"/>
 
                         </div>
@@ -68,10 +78,12 @@
                             <label htmlFor="start">Curriculum vitae (CV)</label>
                             <br/>
-                            <a className="resume-link" href={resumeUrl} target="_blank" rel="noopener noreferrer">{application.fileName}</a>
+                            <a className="resume-link" href={resumeUrl} target="_blank"
+                               rel="noopener noreferrer">{getFileName(application.fileName)}</a>
                             <br/>
 
                             <br/>
                             <label className="label">Message to the recruiter</label>
-                            <textarea disabled type="text" defaultValue={application.message} placeholder="Optional..." className="application-textarea"/>
+                            <textarea disabled type="text" defaultValue={application.message} placeholder="Optional..."
+                                      className="application-textarea"/>
 
                         </div>
